| Home | Libraries | People | FAQ | More

### serial_port_base

The `serial_port_base` class is used as a base for the `basic_serial_port` class template so that we have a common place to define the serial port options.

    class serial_port_base

##### Types

Name | Description
--- | ---
baud_rate | Serial port option to permit changing the baud rate.
character_size | Serial port option to permit changing the character size.
flow_control | Serial port option to permit changing the flow control.
parity | Serial port option to permit changing the parity.
stop_bits | Serial port option to permit changing the number of stop bits.

##### Protected Member Functions

Name | Description
--- | ---
~serial_port_base | Protected destructor to prevent deletion through this type.

##### Requirements

Header: `boost/asio/serial_port_base.hpp`

Convenience header: `boost/asio.hpp`